<template>
  <div class="confirmation-execution-registry">
    <div class="confirmation-execution-registry-block">
      <span>Номер реестра:</span>
      <span>Отсутствует</span>
    </div>

    <div class="confirmation-execution-registry-block">
      <span>Заказ размещен:</span>
      <span>{{ order.createdDate | date('DD.MM.YYYY') }}</span>
    </div>

    <div class="confirmation-execution-registry-block">
      <span>Заказ исполнен:</span>
      <span>{{ order.processedDate | date('DD.MM.YYYY') }}</span>
    </div>

    <div class="confirmation-execution-registry-block">
      <span>Исполнение подтверждено:</span>
      <span>{{ order.confirmedDate | date('DD.MM.YYYY') }}</span>
    </div>
  </div>
</template>

<script>
  export default {
    name: "registry",
    props: {
      order: {
        type: Object,
        default: () => {}
      }
    }
  }
</script>

<style scoped lang="scss">
  .confirmation-execution-registry {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    &-block {
      width: 227px;
      height: 52px;
      background: $color-white-lilac;
      border-radius: 3px;
      padding: 8px 12px;
      margin-bottom: 10px;
      &:last-child {
        margin-bottom: 0;
      }
      span {
        display: block;
        &:first-child {
          font-size: 12px;
          line-height: 12px;
          letter-spacing: 0.4px;
          color: $gray-slate;
        }
        &:last-child {
          font-size: 16px;
          line-height: 20px;
          letter-spacing: 0.2px;
          color: $color-text-base;
        }
      }
    }
  }
</style>
